## Version checks Version checks — Version information in the API. |

## Functions

#define | QMI_MAJOR_VERSION
#define | QMI_MINOR_VERSION
#define | QMI_MICRO_VERSION
#define | QMI_CHECK_VERSION()

## Object Hierarchy

## Description

This section defines types that are used to identify the libqmi-glib version.

## Functions

### QMI_MAJOR_VERSION

    #define QMI_MAJOR_VERSION (1)

Evaluates to the major version number of libqmi-glib which this source is compiled against.

### QMI_MINOR_VERSION

    #define QMI_MINOR_VERSION (10)

Evaluates to the minor version number of libqmi-glib which this source is compiled against.

### QMI_MICRO_VERSION

    #define QMI_MICRO_VERSION (4)

Evaluates to the micro version number of libqmi-glib which this source compiled against.

### QMI_CHECK_VERSION()

    #define             QMI_CHECK_VERSION(major,minor,micro)

#### Parameters

major | major version (e.g. 1 for version 1.2.5) |
minor | minor version (e.g. 2 for version 1.2.5) |
micro | micro version (e.g. 5 for version 1.2.5) |

#### Returns

`TRUE` if the version of the libqmi-glib header files is the same as or newer than the passed-in version.

## Types and Values